package com.ruoyi.warehouseBusiness.service;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.model.LoginUser;
import com.ruoyi.warehouseBusiness.domain.TWarehouseAgreement;

import java.util.List;
import java.util.Map;

/**
 * 仓储费Service接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface ITWarehouseAgreementService {
    /**
     * 查询仓储费
     *
     * @param fId 仓储费ID
     * @return 仓储费
     */
    public TWarehouseAgreement selectTWarehouseAgreementById(Long fId);

    public Map<String, Object> selectTWarehouseAgreementById1(Long fId);
    /**
     * 查询仓储费列表
     *
     * @param tWarehouseAgreement 仓储费
     * @return 仓储费集合
     */
    public List<Map<String, Object>> selectTWarehouseAgreementList1(TWarehouseAgreement tWarehouseAgreement);

    public List<TWarehouseAgreement> selectTWarehouseAgreementList(TWarehouseAgreement tWarehouseAgreement);

    /**
     *
     * @param agreement
     * @param agreementitems
     * @param loginUser
     * @return
     */
    public AjaxResult insertTWarehouseAgreement(String agreement, String agreementitems, LoginUser loginUser,int fFeetypeid);

    public AjaxResult tWarehouseAgreementSubmit(String agreement, String agreementitems, LoginUser loginUser,int fFeetypeid);

    public AjaxResult revoke(String agreement, String agreementitems, LoginUser loginUser,int fFeetypeid);
    /**
     * 修改仓储费
     *
     * @param tWarehouseAgreement 仓储费
     * @return 结果
     */
    public int updateTWarehouseAgreement(TWarehouseAgreement tWarehouseAgreement);

    /**
     * 批量删除仓储费
     *
     * @param fIds 需要删除的仓储费ID
     * @return 结果
     */
    public int deleteTWarehouseAgreementByIds(Long[] fIds);

    /**
     * 删除仓储费信息
     *
     * @param fId 仓储费ID
     * @return 结果
     */
    public int deleteTWarehouseAgreementById(Long fId);

    public AjaxResult queryRemove(Long fId);
}
